package fr.username404.snowygui.misc

import fr.username404.snowygui.ClickGui
import fr.username404.snowygui.newBox
import net.minecraft.client.Minecraft

object Storage {
    private var oldGamma = -1.0
    var hurtCamera: Boolean = true; private set

    fun ClickGui.addComponents() {
        addComps(
            newBox("snowy.clickbox.misc").addButtons(
                "GammaBoost" to {
                    with(Minecraft.getInstance().options) {
                        gamma = if (gamma != 1400.0) {
                            oldGamma = gamma
                            1400.0
                        } else oldGamma
                    }
                }
            ),
            newBox("snowy.clickbox.risky", color = 0x660000).addButtons(
                "NoHurtCamera" to { hurtCamera = !hurtCamera },
                "NoGravity" to { Minecraft.getInstance().player?.let { it.isNoGravity = !it.isNoGravity } }
            ),
        )
    }
}